Import Data Source Template

Prev Next
Post
/api/v1/Authoring/data-source-template-file

Imports a data source template

Body parameters

Information about the data source template being imported

object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
name
string Required

The name of the data source template being imported

Min length1
overwriteExisting
boolean

Whether to overwrite the data source template if it already exists

object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
name
string Required

The name of the data source template being imported

Min length1
overwriteExisting
boolean

Whether to overwrite the data source template if it already exists

object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
name
string Required

The name of the data source template being imported

Min length1
overwriteExisting
boolean

Whether to overwrite the data source template if it already exists

object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
name
string Required

The name of the data source template being imported

Min length1
overwriteExisting
boolean

Whether to overwrite the data source template if it already exists

Responses
200

OK

object
id
integer (int32)

The ID of the imported data source template

name
string | null

The name of the imported data source template

400

Bad Request

object
errors
Array of string
string